Function Roles
Alle Operationen rund um Function Roles.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Function Role | function_role |
9 | — | function_role_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/function_roles |
Create function_role | Create a new function_role in the active tenant. |
DELETE |
/v1/function_roles/{id} |
Delete function_role | Soft delete entity. |
GET |
/v1/function_roles/{id} |
Get function_role by id | Fetch a single function_role. |
GET |
/v1/function_roles/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/function_roles/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/function_roles/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/function_roles |
List function_roles | List function_roles for the active tenant. |
PATCH |
/v1/function_roles/{id} |
Patch function_role | JSON Merge Patch update. |
POST |
/v1/function_roles/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/function_roles/seed-defaults |
POST /v1/function_roles/seed-defaults | Seed the built-in function-role taxonomy for the current tenant. |
POST |
/v1/function_roles/{id}/transition |
POST /v1/function_roles/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/function_roles/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/function_roles/{id} |
Replace function_role | Full replace with optimistic locking. |